<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/buildings/buildingbase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/db9/a08907_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">buildingbase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/db9/a08907.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * BuildingBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/dfa/a04725.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../db/dfa/a04725.html">BuildingBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/dfa/a04725.html#a028ae81764b03d2da9d48ca798e507a8">   15</a></span>    ref <a class="code hl_class" href="../../d8/d39/a04449.html">ExpansionNetsyncData</a> <a class="code hl_variable" href="../../db/dfa/a04725.html#a028ae81764b03d2da9d48ca798e507a8">m_Expansion_NetsyncData</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/dfa/a04725.html#afd5689096ab2d890fb8b57dacfee6aae">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/dfa/a04725.html#afd5689096ab2d890fb8b57dacfee6aae">NameOverride</a>(out <span class="keywordtype">string</span> output)</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../db/dfa/a04725.html#a028ae81764b03d2da9d48ca798e507a8">m_Expansion_NetsyncData</a> &amp;&amp; <a class="code hl_variable" href="../../db/dfa/a04725.html#a028ae81764b03d2da9d48ca798e507a8">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d8/d39/a04449.html#ab986e69f4cceee5b8f77c4aa86b9d532">Get</a>(0, output))</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="keywordflow">return</span> super.NameOverride(output);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../db/dfa/a04725.html#aab04db800e61fb31eda00f804212bedd">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/dfa/a04725.html#aab04db800e61fb31eda00f804212bedd">OnRPC</a>(PlayerIdentity sender, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        super.OnRPC(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../db/dfa/a04725.html#a028ae81764b03d2da9d48ca798e507a8">m_Expansion_NetsyncData</a>)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <a class="code hl_variable" href="../../db/dfa/a04725.html#a028ae81764b03d2da9d48ca798e507a8">m_Expansion_NetsyncData</a>.<a class="code hl_function" href="../../d8/d39/a04449.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">OnRPC</a>(sender, rpc_type, ctx);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../db/dfa/a04725.html#a2e019a69918b4efb36e9d1b34d5ce72d">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/dfa/a04725.html#a2e019a69918b4efb36e9d1b34d5ce72d">Explode</a>(<span class="keywordtype">int</span> damageType, <span class="keywordtype">string</span> ammoType = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="../../dc/dc2/a04525.html">ExpansionDamageSystem</a>.<a class="code hl_function" href="../../dc/dc2/a04525.html#ad29c5a9453a06c80a2bbf1ef76ea790e">OnBeforeExplode</a>(<span class="keyword">this</span>, damageType, ammoType);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        super.Explode(damageType, ammoType);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>}</div>
<div class="ttc" id="aa04449_html"><div class="ttname"><a href="../../d8/d39/a04449.html">ExpansionNetsyncData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00013">expansionnetsyncdata.c:14</a></div></div>
<div class="ttc" id="aa04449_html_a9619a4af8fc8f1b4824235dfbb8a2ef7"><div class="ttname"><a href="../../d8/d39/a04449.html#a9619a4af8fc8f1b4824235dfbb8a2ef7">ExpansionNetsyncData::OnRPC</a></div><div class="ttdeci">void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00094">expansionnetsyncdata.c:94</a></div></div>
<div class="ttc" id="aa04449_html_ab986e69f4cceee5b8f77c4aa86b9d532"><div class="ttname"><a href="../../d8/d39/a04449.html#ab986e69f4cceee5b8f77c4aa86b9d532">ExpansionNetsyncData::Get</a></div><div class="ttdeci">bool Get(int index, out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00037">expansionnetsyncdata.c:37</a></div></div>
<div class="ttc" id="aa04525_html"><div class="ttname"><a href="../../dc/dc2/a04525.html">ExpansionDamageSystem</a></div><div class="ttdoc">Consistent explosion damage.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d59/a01013_source.html#l00014">expansiondamagesystem.c:15</a></div></div>
<div class="ttc" id="aa04525_html_ad29c5a9453a06c80a2bbf1ef76ea790e"><div class="ttname"><a href="../../dc/dc2/a04525.html#ad29c5a9453a06c80a2bbf1ef76ea790e">ExpansionDamageSystem::OnBeforeExplode</a></div><div class="ttdeci">static void OnBeforeExplode(EntityAI source, int damageType, string ammoType=&quot;&quot;, vector position=vector.Zero)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d59/a01013_source.html#l00103">expansiondamagesystem.c:103</a></div></div>
<div class="ttc" id="aa04725_html"><div class="ttname"><a href="../../db/dfa/a04725.html">BuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db9/a08907_source.html#l00013">buildingbase.c:14</a></div></div>
<div class="ttc" id="aa04725_html_a028ae81764b03d2da9d48ca798e507a8"><div class="ttname"><a href="../../db/dfa/a04725.html#a028ae81764b03d2da9d48ca798e507a8">BuildingBase::m_Expansion_NetsyncData</a></div><div class="ttdeci">ref ExpansionNetsyncData m_Expansion_NetsyncData</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db9/a08907_source.html#l00015">buildingbase.c:15</a></div></div>
<div class="ttc" id="aa04725_html_a2e019a69918b4efb36e9d1b34d5ce72d"><div class="ttname"><a href="../../db/dfa/a04725.html#a2e019a69918b4efb36e9d1b34d5ce72d">BuildingBase::Explode</a></div><div class="ttdeci">override void Explode(int damageType, string ammoType=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db9/a08907_source.html#l00033">buildingbase.c:33</a></div></div>
<div class="ttc" id="aa04725_html_aab04db800e61fb31eda00f804212bedd"><div class="ttname"><a href="../../db/dfa/a04725.html#aab04db800e61fb31eda00f804212bedd">BuildingBase::OnRPC</a></div><div class="ttdeci">override void OnRPC(PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db9/a08907_source.html#l00025">buildingbase.c:25</a></div></div>
<div class="ttc" id="aa04725_html_afd5689096ab2d890fb8b57dacfee6aae"><div class="ttname"><a href="../../db/dfa/a04725.html#afd5689096ab2d890fb8b57dacfee6aae">BuildingBase::NameOverride</a></div><div class="ttdeci">override bool NameOverride(out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db9/a08907_source.html#l00017">buildingbase.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_e2c1a5451a44a8d1eb29e97861f13030.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_0125b612239c0d9df1df7ec1871545aa.html">buildings</a></li><li class="navelem"><a class="el" href="../../d1/db9/a08907.html">buildingbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
